LWParserInternal::State Struct Reference

Internal: the state of a LWParser. More...

## Public Member Functions

| State ()
| constructor More...

## Public Attributes

bool | m_isApplication
| true if we are parsing a application document More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...
int | m_numCol
| the number of columns More...
int | m_colSep
| the columns separator width in point More...
int | m_headerHeight
| the header height if known More...
int | m_footerHeight
| the footer height if known More...

## Detailed Description

Internal: the state of a LWParser.

## Constructor & Destructor Documentation

LWParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

int LWParserInternal::State::m_actPage

the actual page

int LWParserInternal::State::m_colSep

the columns separator width in point

int LWParserInternal::State::m_footerHeight

the footer height if known

int LWParserInternal::State::m_headerHeight

the header height if known

bool LWParserInternal::State::m_isApplication

true if we are parsing a application document

int LWParserInternal::State::m_numCol

the number of columns

int LWParserInternal::State::m_numPages

the number of page of the final document

The documentation for this struct was generated from the following file:

- LWParser.cxx